﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web.Mvc;
using Kendo.Mvc.Extensions;
using Kendo.Mvc.UI;
using TelerikMvcApp12.Models;

namespace TelerikMvcApp12.Controllers
{
    public partial class GridController : Controller
    {
        public ActionResult Products_Read([DataSourceRequest]DataSourceRequest request)
        {
            var result = Enumerable.Range(1, 20).Select(i => new ProductViewModel
            {
                ProductID = i,
                UnitsInStock = i * 10,
                ProductName = "Product " + i,
                Discontinued = i % 3 == 0
            });

            return Json(result.ToDataSourceResult(request));
        }

        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult Editing_Create([DataSourceRequest] DataSourceRequest request, [Bind(Prefix = "models")]IEnumerable<ProductViewModel> products)
        {

            return Json(products.ToDataSourceResult(request, ModelState));
        }

        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult Editing_Update([DataSourceRequest] DataSourceRequest request, [Bind(Prefix = "models")]IEnumerable<ProductViewModel> products)
        {
            

            return Json(products.ToDataSourceResult(request, ModelState));
        }

        [AcceptVerbs(HttpVerbs.Post)]
        public ActionResult Editing_Destroy([DataSourceRequest] DataSourceRequest request, [Bind(Prefix = "models")]IEnumerable<ProductViewModel> products)
        {

            return Json(products.ToDataSourceResult(request, ModelState));
        }
    }
}
